﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

/*Dennis zenne nest*/
/*Modal
@media only screen and (min-width : 1025px) {
    .rz-dialog {
        width: 60% !important;
    }
}*/
/*column zonder filter*/
/*Actie buttons*/
/*Filter pane*/

:root {
    --ds-warning: #fac152;
}

html {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

body {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

input:focus {
    outline: none !important;
}

input .numInt {
    text-align: right;
}

textarea {
    outline: none !important;
}

a {
    color: #0366d6;
}

.btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

        .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

        .main .top-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

    .sidebar .top-row {
        background-color: rgba(0, 0, 0, 0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a:hover {
                background-color: rgba(255, 255, 255, 0.1);
                color: white;
            }

            .sidebar .nav-item a.active {
                background-color: rgba(255, 255, 255, 0.25);
                color: white;
            }

.content {
    padding-top: 1.1rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.rz-datatable-even {
    height: 20px;
}

    .rz-datatable-even:hover {
        background-color: lightslategrey;
        color: whitesmoke;
        cursor: pointer;
    }

.rz-cell-filter-label {
    height: 20px !important;
}

tr .rz-textbox {
    height: 25px;
    font-size: 1em;
}

form .rz-textbox {
    height: 25px;
    font-size: 1em;
}

.rz-cell-filter {
    padding: 0.5em 0.1em 0.5em;
}

.rz-grid-table td {
    padding: 0.3rem !important;
    font-size: 0.75em;
}

.rz-grid-table thead th {
    padding: 0px;
}

    .rz-grid-table thead th .rz-column-title {
        padding: 0 0 0.3rem 0.3rem;
    }

.rz-grid-table thead tr:nth-of-type(2) th {
    top: 0px;
}

.rz-cell-data {
    font-size: unset;
}

.rz-datatable-thead th {
    padding: 0px;
}

    .rz-datatable-thead th .rz-column-title {
        padding: 0 0 0.3rem 0.3rem;
    }

.rz-datatable-odd:hover {
    background-color: lightslategrey;
    color: whitesmoke;
    cursor: pointer;
}

.rz-selectable .rz-datatable-even:hover:not(.rz-state-highlight) .rz-cell-data {
    color: whitesmoke;
}

.rz-selectable .rz-datatable-odd:hover:not(.rz-state-highlight) .rz-cell-data {
    color: whitesmoke;
}

.rz-paginator-last {
    background-color: #e6ecef;
    color: #6d787d;
}

.rz-paginator-next {
    background-color: #e6ecef;
    color: #6d787d;
}

.rz-button.rz-primary.rz-shade-default {
    background-color: lightslategrey;
}

.rz-button.btn-primary {
    background-color: lightslategrey;
}

.colnofilter {
    background-color: white;
}

.rz-button-md {
    padding: 0;
}

.rz-button-icon-only {
    margin-left: 5px;
    padding-left: 0px;
    padding-right: 0px;
}

.ds-btn-large-icon-only .rz-button-icon-left.rzi {
    font-size: 2.5em !important;
    margin-left: -10px;
}

.filter_xpane {
    height: 40px;
    margin-bottom: 5px;
    margin-left: 0;
    margin-right: 0;
}

.filter_xcontainer {
    padding: 8px 10px 1px 5px;
    width: 100%;
    border: 1px solid rgba(128, 128, 128, 0.25);
    background-color: white;
    border-radius: 2px;
}

.filter_xitem {
    display: inline-block;
    float: left;
    vertical-align: top;
}

.filter_icb {
    margin-right: 10px;
}

.login {
    flex-direction: unset;
    display: inherit;
    max-width: 400px;
    margin-left: auto !important;
    margin-right: auto;
}

.rz-steps ul {
    text-align: center;
}

.rz-steps-current span:first-of-type {
    background-color: #479cc8 !important;
}

.rz-steps-number-done span:first-of-type {
    background-color: #23a321 !important;
}

.rz-body {
    width: 100%;
}

.footer.fixed {
    z-index: 9;
}

.header.fixed {
    z-index: 9;
}

.allowzoom:hover {
    color: #479cc8;
    text-decoration: underline;
}

ul[role=tablist] {
    flex-wrap: wrap;
}

.rz-dialog-titlebar-close {
    visibility: hidden;
}

.list-group-item.active {
    background-color: rgba(105, 194, 125, 0.5411764706);
    border-color: rgba(105, 194, 125, 0.5411764706);
}

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row a {
        margin-left: 0;
    }

    .main .top-row .btn-link {
        margin-left: 0;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

        .sidebar .collapse {
            display: block;
        }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }
}
@media (min-width: 1500px) {
    .col-xxl-6 {
        flex: 0 0 50%;
        max-width: 50%;
    }
}